javax.sql.rowset.serial

## Class SerialException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.sql.SQLException
      - - javax.sql.rowset.serial.SerialException

- All Implemented Interfaces:
    Serializable, Iterable<Throwable>

      public class SerialException
      extends SQLException

  Indicates and an error with the serialization or de-serialization of SQL types such as `BLOB, CLOB, STRUCT or ARRAY` in addition to SQL types such as `DATALINK and JAVAOBJECT`
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SerialException()` Creates a new `SerialException` without a message.
    `SerialException(String msg)` Creates a new `SerialException` with the specified message.

  - ### Method Summary

    - ### Methods inherited from class java.sql.SQLException

      `getErrorCode, getNextException, getSQLState, iterator, setNextException`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### SerialException

          public SerialException()

      Creates a new `SerialException` without a message.

    - #### SerialException

          public SerialException(String msg)

      Creates a new `SerialException` with the specified message.
      Parameters:
        `msg` - the detail message

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2014, Oracle and/or its affiliates. All rights reserved.